#!/bin/sh

# called by uscan with '--upstream-version' <version> <file>

tar xjf $3
make -C shogun-$2 DEBIAN=yes package-from-release
rm -rf $3 shogun-$2 shogun_$2.orig

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv shogun_$2.orig.tar.gz $origDir
  echo "moved shogun_$2.orig.tar.gz to $origDir"
fi
